# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
# All tests require Internet access
# to test in mock use:  --enable-network --with check
# to test in a privileged environment use:
#   --with check --with privileged_tests
%bcond_with     check
%bcond_with     privileged_tests

Name:           ansible-lint
Version:        25.4.1.dev12
Release:        1.20250525074355711130.main.12.g18b00592%{?dist}
Summary:        Ansible-lint checks ansible content for common mistakes

License:        GPL-3.0-or-later AND MIT
URL:            https://github.com/ansible/ansible-lint
Source0:        ansible_lint-25.4.1.dev12.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  python%{python3_pkgversion}-libselinux
BuildRequires:  git-core
%endif
Requires:       git-core


%description
Ansible-lint checks ansible content for practices and behaviors that could
potentially be improved.

%prep
%autosetup -n ansible_lint-25.4.1.dev12


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ansiblelint


%check
# Don't try to import tests that import pytest which isn't available at runtime
%pyproject_check_import -e 'ansiblelint.testing*' -e 'ansiblelint.rules.conftest'
%if %{with check}
%pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
%if %{with privileged_tests}
  tests
%else
  tests/unit
%endif
%endif


%files -f %{pyproject_files}
%{_bindir}/ansible-lint
%license COPYING docs/licenses/LICENSE.mit.txt
%doc docs/ README.md

%changelog
* Sun May 25 2025 Packit <hello@packit.dev> - 25.4.1.dev12-1.20250525074355711130.main.12.g18b00592
- Bump codecov/codecov-action from 5.4.2 to 5.4.3 (#4609) (dependabot[bot])
- Bump the dependencies group in /.config with 7 updates (#4613) (dependabot[bot])
- Bump the dependencies group in /.config with 9 updates (#4610) (dependabot[bot])
- schema/meta: support SLES 15SP6 (#4591) (Oluf Lorenzen)
- Make test_broken_ansible_cfg test pass with ansible devel branch (#4605) (Shatakshi Mishra)
- Update dependencies (#4607) (Shatakshi Mishra)
- Add merge_group handler for tox workflow (#4601) (Kate Case)
- Enable junit.xml reporting to codecov.io (#4597) (Kate Case)
- chore: pre-commit autoupdate (#4600) (pre-commit-ci[bot])
- Update documentation to reflect creator-ee deprecation (#4598) (Shatakshi Mishra)
- Bump the dependencies group in /.config with 6 updates (#4599) (dependabot[bot])
- Bump codecov/codecov-action from 5.4.0 to 5.4.2 (#4584) (dependabot[bot])
